Subject: bug#36301: closed (Re: bug#36301: Package-Requires should support multiple lines)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Aug 2019 04:04:02 +0000

Your bug report

#36301: Package-Requires should support multiple lines

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36301: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36301
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36301: Package-Requires should support multiple lines
From: Thomas Fitzsimmons <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Aug 2019 00:03:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Noam Postavsky <[email-masked]> writes:

> severity 36301 wishlist
> quit
>
> Thomas Fitzsimmons <[email-masked]> writes:
>
>> The Package-Requires line in my GNU ELPA package, Excorporate, is much
>> longer than 80 characters and I would like to wrap it.  It would be nice
>> if package.el allowed Package-Requires to span multiple lines (see
>> patch).  It's probably too late to change this but I thought I'd file a
>> bug report anyway.
>
> I don't see a problem with changing it now, except that you won't be
> able to actually wrap the Package-Requires line in Excorporate until
> that package requires Emacs 27 or later.

OK, I pushed the change to master.

Thanks,
Thomas

Subject: Package-Requires should support multiple lines
From: Thomas Fitzsimmons <[email-masked]>
To: [email-masked]
Date: Wed, 19 Jun 2019 21:55:27 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The Package-Requires line in my GNU ELPA package, Excorporate, is much
longer than 80 characters and I would like to wrap it.  It would be nice
if package.el allowed Package-Requires to span multiple lines (see
patch).  It's probably too late to change this but I thought I'd file a
bug report anyway.

Thomas

diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
index 46f7c91272..5c9b12732d 100644
--- a/lisp/emacs-lisp/package.el
+++ b/lisp/emacs-lisp/package.el
@@ -1016,7 +1016,8 @@ package-buffer-info
     (narrow-to-region start (point))
     (require 'lisp-mnt)
     ;; Use some headers we've invented to drive the process.
-    (let* ((requires-str (lm-header "package-requires"))
+    (let* ((requires-str
+            (mapconcat 'identity (lm-header-multiline "package-requires") " "))
            ;; Prefer Package-Version; if defined, the package author
            ;; probably wants us to use it.  Otherwise try Version.
            (pkg-version